Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header

Scopes

write_customers

Path Parameters

merchant_id
string
required

The ID of the customer in your platform or ecommerce store. The reward will be redeemed for this customer

Body

application/json

Body

reward_id
number
required

The ID of the reward to claim

multiplier
number

The number of times to claim this reward in a single request. Only supported for store_fulfilment custom rewards, where it must be a whole number, and for checkout redemption rewards, where it is the discount amount and must be between the reward's minimum and maximum redemption amounts, and one of its fixed redemption amounts when it has them. Other rewards reject any multiplier other than 1.

variant_id
string

The Shopify variant being claimed. Required when the reward is a seamless product reward

shopify_action_id
string
attribution
enum<string>
Available options:
redemption_notification
session
object

Response

201

claimed_reward
object
required